<div class="wrapper-outer">
  <div class="container">
      <div class="row">
          <div class="col-sm-12">
              <div class="cont-login">
                  <div class="form-box">
                      <form  [formGroup]="changePasswordForm"  (submit)= "changePassword()">
                          <h4 class="text-center">Would you like to change your password?</h4>
                          <div class="form-group p-0">
                            <div class="row">
                              <div class="col-4 pb-3">
                                <label>Old password</label>
                              </div>
                              <div class="col-8 pb-3">
                                <input type="password" name=""  formControlName="oldPassword" class="form-control" placeholder="Enter your old password">
                                <!-- Error Messages -->
                                <span class="col-12 help-block bottom text-left fs12 t-red" *ngFor="let validation of errors.password">
                                  <span  *ngIf="changePasswordForm.get('oldPassword').hasError(validation.type) && (changePasswordForm.get('oldPassword').dirty || changePasswordForm.get('oldPassword').touched)">
                                      {{validation.message}}
                                  </span>
                                </span>
                              </div>
                            </div>
                          </div>
                          <div class="form-group p-0">
                            <div class="row">
                              <div class="col-4 pb-3">
                                <label class="with-info">
                                  New password
                                  <a href="javascript:void(0)" class="form-info ml-2" tooltip="Password must contain 8 characters, Upper case, Lower case, Number, Special character." container="body" [class.t-red]="changePasswordForm.get('newPassword').invalid && (changePasswordForm.get('newPassword').dirty || changePasswordForm.get('newPassword').touched)">
                                      <i class="fas fa-info-circle"></i>
                                  </a>
                                </label>
                              </div>
                              <div class="col-8 pb-3">
                                <input type="password"  formControlName="newPassword" class="form-control" placeholder="Enter your new password">
                                <!-- Error Messages -->
                                <span class="col-12 help-block bottom text-left fs12 t-red" *ngFor="let validation of errors.newPassword">
                                  <span  *ngIf="changePasswordForm.get('newPassword').hasError(validation.type) && (changePasswordForm.get('newPassword').dirty || changePasswordForm.get('newPassword').touched)">
                                      {{validation.message}}
                                  </span>
                                </span>
                              </div>
                            </div>
                          </div>
                          <div class="form-group p-0">
                            <div class="row">
                              <div class="col-4 pb-3">
                                <label>Confirm password</label>
                              </div>
                              <div class="col-8 pb-3">
                                <input type="password" name=""  formControlName = "confirmPassword" class="form-control" placeholder="Confirm your password">
                                <!-- Error Messages -->
                                <span class="col-12 help-block bottom text-left fs12 t-red" *ngFor="let validation of errors.confirmPassword">
                                  <span  *ngIf="changePasswordForm.get('confirmPassword').hasError(validation.type) && (changePasswordForm.get('confirmPassword').dirty || changePasswordForm.get('confirmPassword').touched)">
                                      {{validation.message}}
                                  </span>
                                </span>
                              </div>
                            </div>
                          </div>
                          <div class="form-group text-center">
                              <input type="submit" name="" [disabled]="changePasswordForm.invalid" value="Submit" class="btn">
                          </div>
                      </form>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>
